Package com.logicaldoc.core.searchengine.folder

# Class FolderCriterion

java.lang.Object
com.logicaldoc.core.searchengine.folder.FolderCriterion

All Implemented Interfaces:
  `Serializable`

public class FolderCriterion extends Object implements Serializable

See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`OPERATOR_BEGINSWITH`
`static final String`
`OPERATOR_CONTAINS`
`static final String`
`OPERATOR_ENDSWITH`
`static final String`
`OPERATOR_EQUALS`
`static final String`
`OPERATOR_GREATER`
`static final String`
`OPERATOR_IN`
`static final String`
`OPERATOR_INORSUBFOLDERS`
`static final String`
`OPERATOR_LESSER`
`static final String`
`OPERATOR_NOTCONTAINS`
`static final String`
`OPERATOR_NOTEQUAL`
`static final String`
`OPERATOR_NOTNULL`
`static final String`
`OPERATOR_NULL`
`static final int`
`TYPE_FOLDER`
`static final int`
`TYPE_LANGUAGE`
`static final int`
`TYPE_TEMPLATE`

## Constructor Summary

Constructors
Constructor
Description
`FolderCriterion()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getColumnName()`
`String`
`getComposition()`
`Date`
`getDateValue()`
`Double`
`getDoubleValue()`
`String`
`getField()`
`String`
`getFieldName()`
`Long`
`getLongValue()`
`String`
`getOperator()`
`String`
`getParentPathDescr()`
`Date`
`getSqlDateValue()`
`String`
`getStringValue()`
`int`
`getType()`
`boolean`
`isEmpty()`
`boolean`
`isExtendedAttribute()`
`boolean`
`isShowFolderSelector()`
`void`
`setComposition(String composition)`
`void`
`setDateValue(Date dateValue)`
`void`
`setDoubleValue(Double doubleValue)`
`void`
`setExtendedAttribute(boolean extendedAttribute)`
`void`
`setField(String field)`
`void`
`setFieldName(String fieldName)`
`void`
`setLongValue(Long longValue)`
`void`
`setOperator(String operator)`
`void`
`setParentPathDescr(String parentPathDescr)`
`void`
`setShowFolderSelector(boolean showFolderSelector)`
`void`
`setStringValue(String stringValue)`
`void`
`setType(int type)`
`void`
`setValue(Serializable value)`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### OPERATOR_EQUALS

public static final String OPERATOR_EQUALS

See Also:
  - Constant Field Values

### OPERATOR_NOTEQUAL

public static final String OPERATOR_NOTEQUAL

See Also:
  - Constant Field Values

### OPERATOR_CONTAINS

public static final String OPERATOR_CONTAINS

See Also:
  - Constant Field Values

### OPERATOR_NOTCONTAINS

public static final String OPERATOR_NOTCONTAINS

See Also:
  - Constant Field Values

### OPERATOR_BEGINSWITH

public static final String OPERATOR_BEGINSWITH

See Also:
  - Constant Field Values

### OPERATOR_ENDSWITH

public static final String OPERATOR_ENDSWITH

See Also:
  - Constant Field Values

### OPERATOR_GREATER

public static final String OPERATOR_GREATER

See Also:
  - Constant Field Values

### OPERATOR_LESSER

public static final String OPERATOR_LESSER

See Also:
  - Constant Field Values

### OPERATOR_NULL

public static final String OPERATOR_NULL

See Also:
  - Constant Field Values

### OPERATOR_NOTNULL

public static final String OPERATOR_NOTNULL

See Also:
  - Constant Field Values

### OPERATOR_IN

public static final String OPERATOR_IN

See Also:
  - Constant Field Values

### OPERATOR_INORSUBFOLDERS

public static final String OPERATOR_INORSUBFOLDERS

See Also:
  - Constant Field Values

### TYPE_LANGUAGE

public static final int TYPE_LANGUAGE

See Also:
  - Constant Field Values

### TYPE_FOLDER

public static final int TYPE_FOLDER

See Also:
  - Constant Field Values

### TYPE_TEMPLATE

public static final int TYPE_TEMPLATE

See Also:
  - Constant Field Values

## Constructor Details

### FolderCriterion

public FolderCriterion()

## Method Details

### setField

public void setField(String field)

### isExtendedAttribute

public boolean isExtendedAttribute()

### getFieldName

public String getFieldName()

### setFieldName

public void setFieldName(String fieldName)

### getColumnName

public String getColumnName()

### getField

public String getField()

### getComposition

public String getComposition()

### setComposition

public void setComposition(String composition)

### getOperator

public String getOperator()

### setOperator

public void setOperator(String operator)

### isEmpty

public boolean isEmpty()

### setValue

public void setValue(Serializable value)

### getType

public int getType()

### setType

public void setType(int type)

### getStringValue

public String getStringValue()

### setStringValue

public void setStringValue(String stringValue)

### getDateValue

public Date getDateValue()

### getSqlDateValue

public Date getSqlDateValue()

### setDateValue

public void setDateValue(Date dateValue)

### isShowFolderSelector

public boolean isShowFolderSelector()

### setShowFolderSelector

public void setShowFolderSelector(boolean showFolderSelector)

### getParentPathDescr

public String getParentPathDescr()

### setParentPathDescr

public void setParentPathDescr(String parentPathDescr)

### getLongValue

public Long getLongValue()

### setLongValue

public void setLongValue(Long longValue)

### getDoubleValue

public Double getDoubleValue()

### setDoubleValue

public void setDoubleValue(Double doubleValue)

### setExtendedAttribute

public void setExtendedAttribute(boolean extendedAttribute)

### toString

public String toString()

Overrides:
  `toString` in class `Object`